<style>
main.form-signin {
  max-width: 350px;
  padding: 15px;
}
</style>

<main class='form-signin w-100 m-auto text-center'>
<% image_tag('logo.png', width: '100px') %>
<h1 class='h3 mb-3 fw-normal'><%= t('.sign_in') %></h1>
<%= form_for(resource, as: resource_name, url: session_path(resource_name)) do |f| %>
  <div class='form-floating'>
    <%= f.email_field :email, class: 'form-control', id: 'floatingInput', placeholder: 'name@example.com' %>
    <%= f.label :email, for: 'floatingInput'%>
  </div>

  <div class="form-floating">
    <%= f.password_field :password, autocomplete: 'current-password', class: 'form-control', id: 'floatingPassword', placeholder: 'Password' %>
    <%= f.label :password, for: 'floatingPassword' %>
  </div>

  <% if devise_mapping.rememberable? %>
    <!--<div class="form-group form-check">-->
    <div class='checkbox mb-3'>
      <%= f.check_box :remember_me, class: 'form-check-input' %>
      <%= f.label :remember_me, class: 'form-check-label' do %>
        <%= resource.class.human_attribute_name('remember_me') %>
      <% end %>
    </div>
  <% end %>

  <div class="form-floating">
    <%= f.submit  t('.sign_in'), class: 'w-100 btn btn-lg btn-primary' %>
  </div>
<% end %>

<%= render 'devise/shared/links' %>
</main>





